Commit 32c85ad4 authored by Daniel Stone's avatar Daniel Stone
Browse files

GLX: DRI2: Fix mismatched-types warning



All the DRI extension types have a base extension type as their first
member to avoid exactly these types of warning.
Signed-off-by: Daniel Stone's avatarDaniel Stone <daniel@fooishbar.org>
Reviewed-by: Mark Kettenis's avatarMark Kettenis <kettenis@openbsd.org>
Reviewed-by: Cyril Brulebois's avatarCyril Brulebois <kibi@debian.org>
parent 22796cfa
...@@ -594,7 +594,7 @@ static const __DRIextension *loader_extensions[] = { ...@@ -594,7 +594,7 @@ static const __DRIextension *loader_extensions[] = {
&systemTimeExtension.base, &systemTimeExtension.base,
&loaderExtension.base, &loaderExtension.base,
#ifdef __DRI_USE_INVALIDATE #ifdef __DRI_USE_INVALIDATE
&dri2UseInvalidate, &dri2UseInvalidate.base,
#endif #endif
NULL NULL
}; };
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment